Package org.springframework.security.config.annotation.configuration

# Class ObjectPostProcessorConfiguration

java.lang.Object
org.springframework.security.config.annotation.configuration.ObjectPostProcessorConfiguration

@Configuration(proxyBeanMethods=false) @Role(2) public class ObjectPostProcessorConfiguration extends Object
Spring `Configuration` that exports the default `ObjectPostProcessor`. This class is not intended to be imported manually rather it is imported automatically when using `EnableWebSecurity` or `EnableGlobalMethodSecurity`.

Since:
  3.2
See Also:
  - `EnableWebSecurity`
  - `EnableGlobalMethodSecurity`

## Constructor Summary

Constructors
Constructor
Description
`ObjectPostProcessorConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`ObjectPostProcessor<Object>`
`objectPostProcessor(org.springframework.beans.factory.config.AutowireCapableBeanFactory beanFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectPostProcessorConfiguration

public ObjectPostProcessorConfiguration()

## Method Details

### objectPostProcessor

@Bean @Role(2) public ObjectPostProcessor<Object> objectPostProcessor(org.springframework.beans.factory.config.AutowireCapableBeanFactory beanFactory)